Bug 1011274 - restore of mapped LUNs is broken
restore of mapped LUNs is broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-rtslib (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 21:23 EDT by Andy Grover
Modified: 2014-06-18 01:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:22:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2013-09-23 21:23:31 EDT
version 2.1.fb40 fixes this.
Comment 3 Bruno Goncalves 2013-10-03 05:16:16 EDT
issue reported on python-rtslib-2.1.fb39-1.el7.noarch:

targetcli ls
o- / ......................................................................................................................... [...]
  o- backstores .............................................................................................................. [...]
  | o- block .................................................................................................. [Storage Objects: 0]
  | o- fileio ................................................................................................. [Storage Objects: 1]
  | | o- target1-lun1 ......................................................... [./target1-lun1.img (200.0MiB) write-back activated]
  | o- pscsi .................................................................................................. [Storage Objects: 0]
  | o- ramdisk ................................................................................................ [Storage Objects: 0]
  o- iscsi ............................................................................................................ [Targets: 1]
  | o- iqn.2009-10.com.redhat:storage-1 .................................................................................. [TPGs: 1]
  |   o- tpg1 .................................................................................................. [gen-acls, no-auth]
  |     o- acls .......................................................................................................... [ACLs: 1]
  |     | o- iqn.1994-05.com.redhat:test .......................................................................... [Mapped LUNs: 1]
  |     |   o- mapped_lun1 ......................................................................... [lun1 fileio/target1-lun1 (rw)]
  |     o- luns .......................................................................................................... [LUNs: 1]
  |     | o- lun1 ....................................................................... [fileio/target1-lun1 (./target1-lun1.img)]
  |     o- portals .................................................................................................... [Portals: 1]
  |       o- [::0]:3260 ....................................................................................................... [OK]
  o- loopback ......................................................................................................... [Targets: 0]
  o- vhost ............................................................................................................ [Targets: 0]


service targetcli restart
Redirecting to /bin/systemctl restart  targetcli.service
Job for targetcli.service failed. See 'systemctl status targetcli.service' and 'journalctl -xn' for details.

systemctl status targetcli.service -l
targetcli.service - Restore LIO kernel target configuration
   Loaded: loaded (/usr/lib/systemd/system/targetcli.service; enabled)
   Active: failed (Result: exit-code) since Thu 2013-10-03 05:14:09 EDT; 11s ago
  Process: 4536 ExecStop=/usr/bin/targetcli clearconfig confirm=true (code=exited, status=0/SUCCESS)
  Process: 4545 ExecStart=/usr/bin/targetcli restoreconfig clear_existing=true (code=exited, status=1/FAILURE)
Comment 5 Bruno Goncalves 2013-11-01 03:56:28 EDT
Verified on python-rtslib-2.1.fb40-1.el7, targetcli-2.1.fb30-1.el7.

I repeated the same steps as in comment#3 and service was able to restart properly.

# service targetcli restart

# targetcli ls
o- / ......................................................................................................................... [...]
  o- backstores .............................................................................................................. [...]
  | o- block .................................................................................................. [Storage Objects: 0]
  | o- fileio ................................................................................................. [Storage Objects: 1]
  | | o- target1-lun1 ......................................................... [./target1-lun1.img (200.0MiB) write-back activated]
  | o- pscsi .................................................................................................. [Storage Objects: 0]
  | o- ramdisk ................................................................................................ [Storage Objects: 0]
  o- iscsi ............................................................................................................ [Targets: 1]
  | o- iqn.2009-10.com.redhat:storage-1 .................................................................................. [TPGs: 1]
  |   o- tpg1 .................................................................................................. [gen-acls, no-auth]
  |     o- acls .......................................................................................................... [ACLs: 1]
  |     | o- storage-iqn .......................................................... [(iqn.1994-05.com.redhat:test) , Mapped LUNs: 1]
  |     |   o- mapped_lun1 ......................................................................... [lun1 fileio/target1-lun1 (rw)]
  |     o- luns .......................................................................................................... [LUNs: 1]
  |     | o- lun1 ....................................................................... [fileio/target1-lun1 (./target1-lun1.img)]
  |     o- portals .................................................................................................... [Portals: 1]
  |       o- [::0]:3260 ....................................................................................................... [OK]
  o- loopback ......................................................................................................... [Targets: 0]
Comment 6 Ludek Smid 2014-06-13 07:22:32 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.